---
import {getCollection} from "astro:content";

import VereinLayout from "../../../layouts/VereinLayout.astro";

const musiker = (await getCollection('musiker'));
const instrument_gruppen = (await getCollection('instrument_gruppe')).sort((a, b) => a.data.order - b.data.order);
const instrument = (await getCollection('instrument'));

---
<style>
  .instrument:not(:last-child):after {
    content: ", ";
  }
</style>
<VereinLayout>

  <div class="text-base leading-7 text-gray-700">
    <p class="text-base font-semibold leading-7 text-rose-700">Verein</p>
    <h1 class="mt-2 text-3xl font-bold tracking-tight text-gray-900 sm:text-4xl">Unsere Musiker</h1>

    <!-- TODO: Musiker generieren lassen -->
    {
      instrument_gruppen.map(async (gruppe) => (<div class="text-base leading-7 text-gray-700">
        <h2 class="mt-2 text-2xl font-bold tracking-tight text-gray-900 sm:text-3xl">{gruppe.data.name}</h2>
        <ul role="list" class="text-center mx-auto mt-20 grid max-w-2xl grid-cols-1 gap-x-8 gap-y-16 sm:grid-cols-2 lg:mx-0 lg:max-w-none md:grid-cols-2 lg:grid-cols-3">
        {
          musiker.map((musiker) => {
            if (musiker.data?.instrument_ref.length === 0) return null
            const instrumente = instrument.filter(instru => gruppe.id === instru.data?.gruppe_ref.id);
            if (musiker.data?.instrument_ref.filter(m_instrument => instrumente.find(instrument => instrument.id === m_instrument.id)).length === 0) return null
            return (
              <li>
                <img class="mx-auto h-56 w-56 rounded-full object-cover"
                     src={musiker?.data.image?.length > 0 ? musiker?.data.image : '/avatar-dummy.svg'}
                     alt="">
                <h3
                  class="mt-6 text-base font-semibold leading-7 tracking-tight text-gray-900">{musiker?.data.vorname}&nbsp;{musiker?.data.nachname}</h3>
                <p class="text-sm leading-6 text-gray-600">({musiker.data?.instrument_ref.map(m_instrument => {
                    const f_instrument = instrument.find(instrument => instrument.id === m_instrument.id)
                    return (<span class="instrument">{f_instrument?.data.name}</span>)
                  })})</p>
              </li>
            )
          })
        }
          </ul>
      </div>))
    }


</VereinLayout>
